Powerlevel.cpp File Reference
`#include <vector>`
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/Powerlevel.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueShort.h"`
`#include "value_classes/ValueList.h"`
`#include "value_classes/ValueButton.h"`

## Enumerations

enum | PowerlevelCmd { PowerlevelCmd_Set = 0x01, PowerlevelCmd_Get = 0x02, PowerlevelCmd_Report = 0x03, PowerlevelCmd_TestNodeSet = 0x04, PowerlevelCmd_TestNodeGet = 0x05, PowerlevelCmd_TestNodeReport = 0x06 }
enum | { PowerlevelIndex_Powerlevel = 0, PowerlevelIndex_Timeout, PowerlevelIndex_Set, PowerlevelIndex_TestNode, PowerlevelIndex_TestPowerlevel, PowerlevelIndex_TestFrames, PowerlevelIndex_Test, PowerlevelIndex_Report, PowerlevelIndex_TestStatus, PowerlevelIndex_TestAckFrames }

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
PowerlevelIndex_Powerlevel |
PowerlevelIndex_Timeout |
PowerlevelIndex_Set |
PowerlevelIndex_TestNode |
PowerlevelIndex_TestPowerlevel |
PowerlevelIndex_TestFrames |
PowerlevelIndex_Test |
PowerlevelIndex_Report |
PowerlevelIndex_TestStatus |
PowerlevelIndex_TestAckFrames |

## PowerlevelCmd

enum PowerlevelCmd

Enumerator
PowerlevelCmd_Set |
PowerlevelCmd_Get |
PowerlevelCmd_Report |
PowerlevelCmd_TestNodeSet |
PowerlevelCmd_TestNodeGet |
PowerlevelCmd_TestNodeReport |